package api

import (
	"github.com/kataras/iris/v12"
	"main/jwtSet"
)

func File(party iris.Party) {
	party.Get("/upload", jwtSet.Jwt.Serve, getRootFile)
	party.Get("/upload/{path:path}", jwtSet.Jwt.Serve, getFile)
	party.Post("/upload/{path:path}", jwtSet.Jwt.Serve, uploadDir)
	party.Post("/upload-file/{path:path}", jwtSet.Jwt.Serve, uploadFile)
	party.Delete("/upload/{path:path}", jwtSet.Jwt.Serve, deleteFile)
	party.Post("/static/avatar", jwtSet.Jwt.Serve, uploadAvatar)
	party.Get("/download/{path:path}", downloadFile)
	party.Get("/download-video-check/{path:path}", getDownloadFileType)
	party.Get("/download-video/{path:path}", downloadVideo)
}
